<?php
/*
 * Файл local/modules/infoblock/install/step.php
 */
use Bitrix\Main\Localization\Loc;

Loc::loadMessages(__FILE__);

if (!check_bitrix_sessid()) {
    return;
}

if ($errorException = $APPLICATION->GetException()) {
    // ошибка при установке модуля
    CAdminMessage::ShowMessage(
        Loc::getMessage('INFOBLOCK_INSTALL_FAILED').': '.$errorException->GetString()
    );
} else {
    // модуль успешно установлен
    CAdminMessage::ShowNote(
        Loc::getMessage('INFOBLOCK_INSTALL_SUCCESS')
    );
}
?>

<form action="<?= $APPLICATION->GetCurPage(); ?>"> <!-- Кнопка возврата к списку модулей -->
    <input type="hidden" name="lang" value="<?= LANGUAGE_ID; ?>" />
    <input type="submit" value="<?= Loc::getMessage('INFOBLOCK_RETURN_MODULES'); ?>">
</form>